For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get SupportGet a demo
  • Get Started
    • Welcome
    • Quickstart
  • Webhooks
    • Introduction
    • Creating a Webhook
    • Available Webhooks
  • Public API Reference (Beta)
    • Applicants/Candidates
    • Contacts/Managers
    • Clients/Departments
        • POSTCreate a placement
        • DELDelete a placement
        • GETGet a placement by GUID
        • GETList placements
        • PUTUpdate a placement
  • Internal API Reference
    • Applicants/Candidates
    • Clients/Departments
    • Contacts/Managers
LogoLogo
Get SupportGet a demo
Public API Reference (Beta)PlacementsCore

Update a placement

PUT
https://app.brightmove.com/ATS/api/v1/placements/:guid
PUT
/ATS/api/v1/placements/:guid
$curl -X PUT https://app.brightmove.com/ATS/api/v1/placements/guid \
> -H "X-Brightmove-Company-ApiKey: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{}
Was this page helpful?
Previous

Create a submittal (submit an applicant to a requirement)

Next
Built with

Authentication

X-Brightmove-Company-ApiKeystring
BrightMove Company Api Key
X-Brightmove-User-ApiKeystring
BrightMove User Api Key

Path parameters

guidstringRequired

Request

This endpoint expects an object.
startDatestringOptional

ISO-8601 start date of the placement.

endDatestringOptional

ISO-8601 end date of the placement.

hireDatestringOptional

ISO-8601 hire date.

billRatedoubleOptional
Bill rate for this placement.
billTypeIdlongOptional

ID of the bill type (pay period). 1=Hourly, 2=Daily, 3=Monthly, 4=Annually, 5=Weekly, 6=Biweekly.

payRatedoubleOptional
Pay rate for this placement.
payTypeIdlongOptional

ID of the pay type (pay period). 1=Hourly, 2=Daily, 3=Monthly, 4=Annually, 5=Weekly, 6=Biweekly.

employmentTypeIdlongOptional
ID of the employment type for this placement.
placementTypeIdlongOptional

ID of the placement type. 1=Contract, 2=Permanent, 3=Internal, 4=Contract to Hire.

commissionFeedoubleOptional
Flat commission fee.
commissionPctdoubleOptional
Commission percentage.

Response

Placement updated